> For the complete documentation index, see [llms.txt](https://docs.sentiance.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sentiance.com/important-topics/sdk/api-reference/android/sdkstatus/startstatus.md).

# StartStatus

{% hint style="warning" %}
**Deprecated**

Use [`DetectionStatus`](/important-topics/sdk/api-reference/android/detectionstatus.md) instead.
{% endhint %}

Represents the detection status of the SDK.

| **NOT\_STARTED**   | SDK detections were not started (i.e. [`start()`](/important-topics/sdk/api-reference/android/sentiance.md#start) was never called), or are stopped (by explicitly calling [`stop()`](/important-topics/sdk/api-reference/android/sentiance.md#stop)).                                               |
| ------------------ | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **PENDING**        | The enclosing app requested the start of SDK detections, but it could not be completed (e.g. because the user is not enabled on the Sentiance API, permissions are not granted, or location settings are invalid). When the underlying issues are resolved, the detections will start automatically. |
| **STARTED**        | The SDK detections are successfully started after the enclosing app has called [`start()`](/important-topics/sdk/api-reference/android/sentiance.md#start).                                                                                                                                          |
| **START\_EXPIRED** | The SDK start request expired on the date specified when calling [`start(Date, OnStartFinishedhandler)`](/important-topics/sdk/api-reference/android/sentiance.md#start-date-onstartfinishedhandler). Detections are no longer running.                                                              |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sentiance.com/important-topics/sdk/api-reference/android/sdkstatus/startstatus.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
